Subject: [video-codec] Resource scaling Was: Comments on draft-maxwell-videocodec-requirements-00

From: Gregory Maxwell <[email-masked]>
Date: Wed, 5 Dec 2012 00:11:03 +0000

Kevin Gross [[email-masked]] wrote:
> Why? The motivation for bandwidth efficiency is never convincingly
> substantiated in the draft. I'm aware that bandwidth efficiency is a very
> respected metric among codec developers. I'm questioning how important
> it actually is for applications and users given that available network bandwidth
> is increasing much faster than required media bandwidth and the efficiency
> increases we expect to be able to achieve with a new codec are comparatively modest.

For high quality material resolutions and frame rates are growing— we're still a ways from being able to saturate human perception. But I can buy that networks are growing faster.  But I don't know that demands of video itself are the best comparison point there: We also want to do other things with that network bandwidth like service more concurrent users, or run other protocols, or extend it out to more remote regions. Some people want to broadcast every one of their meals (though I don't know why) and attach remote cameras to their dogs. So it's quite conceivable that demand for compression performance is going up even absent _any_ increase in video resolution.

So when talking about compression efficiency I think it's more useful to talk about how computation and coding science scales and compare that to how networks and storage scales.  We have a set of resources that can be applied and traded off to optimize how we handle video. Which of these things are more costly on average across all usage? 

During the BOF I made a remark along the lines that the available bandwidth at the edge of the network appears to be subject to a slower scaling law than what we see for low cost transistor density (Moore's law), or magnetic storage density (Kryder's Law). 

I didn't think it a very controversial supposition, as it's hard for the converse to be true on a sustained basis (switches ultimately become constrained by memory bandwidth)— but it's not one that I made without seeing some data on it in the past, e.g.

http://download.broadband.gov/plan/fcc-omnibus-broadband-initiative-%28obi%29-technical-paper-broadband-performance.pdf Page 4.

"Since 1997, consumer-purchased broadband connection speeds have doubled roughly every four years, with advertised fixed broadband download speeds growing at a 20% annual rate"

What I thought I'd seen before, but can't seem to find now is information on the _distribution_ of available speeds— as I think the highest access speeds tend to grow faster than the lower ones, which is an interesting factor for services which need to accommodate many potential users.

There are a number of other— mostly market related— arguments that can be made about the importance of compression efficiency, but I thought it would be productive to break this one out and see if I'm completely confused on this point.